USRP Hardware Driver and USRP Manual: uhd::features::gps_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::features::gps_iface Class Referenceabstract

`#include <uhd/features/gps_iface.hpp>`

Inheritance diagram for uhd::features::gps_iface:

## Public Types
using | sptr = std::shared_ptr<gps_iface>
Public Types inherited from uhd::features::discoverable_feature
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC , GPS }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions
std::string | get_feature_name () const
| Returns a human-readable string name of this feature.
virtual | ~gps_iface ()=default
virtual std::vector< std::string > | get_sensors (void)=0
virtual uhd::sensor_value_t | get_sensor (const std::string &key)=0
virtual std::string | send_cmd (const std::string &cmd)=0
Public Member Functions inherited from uhd::features::discoverable_feature
virtual | ~discoverable_feature ()=default

## Static Public Member Functions
static discoverable_feature::feature_id_t | get_feature_id ()

## Detailed Description

Interface to provide access to configuring the voltage level and external power export configurations of GPIO banks.

## Member Typedef Documentation

## ◆ sptr

using uhd::features::gps_iface::sptr = std::shared_ptr<gps_iface>

## Constructor & Destructor Documentation

## ◆ ~gps_iface()

virtual uhd::features::gps_iface::~gps_iface | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ get_feature_id()

discoverable_feature::feature_id_t uhd::features::gps_iface::get_feature_id | ( |  | ) |
| inlinestatic

## ◆ get_feature_name()

std::string uhd::features::gps_iface::get_feature_name | ( |  | ) | const
| inlinevirtual

Returns a human-readable string name of this feature.

Implements uhd::features::discoverable_feature.

## ◆ get_sensor()

virtual uhd::sensor_value_t uhd::features::gps_iface::get_sensor | ( | const std::string & | key | ) |
| pure virtual

Retrieve the sensor value by name

This will return the same sensors as the motherboard sensors, but only the ones that are relevant to the GPS.

## ◆ get_sensors()

virtual std::vector< std::string > uhd::features::gps_iface::get_sensors | ( | void |  | ) |
| pure virtual

Retrieve the list of sensors this GPS object provides

## ◆ send_cmd()

virtual std::string uhd::features::gps_iface::send_cmd | ( | const std::string & | cmd | ) |
| pure virtual

Submit an arbitrary command to the GPS device.

Using this can cause the GPS to enter an unknown state, so use with caution. It is up to the user to identify correct and valid commands.

If the command is terminated with a '?' symbol, the GPS device will assume that the user is requesting information and will return the response. If the command is not terminated with a '?', this function will return an empty string.

Example:

std::string response = gps_ifc->send_cmd("SYNC:FEE?");
std::cout << "Frequency Error Estimate: " << response << std::endl;

Returns
  The response from the GPS device, or an empty string.

The documentation for this class was generated from the following file:

- gps_iface.hpp